package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;

import java.util.List;

public class MenuService {

    public void showMenu() {

        // Display menu items
        MenuItemDao menuItemDao = new MenuItemDao();

        List<MenuItem> items = menuItemDao.findAll();

        for ( MenuItem menuItem : items) {

            System.out.println(menuItem.getId() + ". " + menuItem.getName() +
                    "   " + menuItem.getPrice() + " | " + menuItem.getCategory());
            System.out.println(menuItem.getDescription());
        }

    }

}